"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const discord_js_1 = require("discord.js");
const BaseInteractionManager_1 = require("../../InteractionsAPI/Managers/BaseInteractionManager");
class CommandInteractionManager extends BaseInteractionManager_1.default {
    constructor() {
        super(discord_js_1.CommandInteraction);
    }
    getInteractionId(interaction) {
        return interaction.commandId;
    }
    callInteraction(interaction) {
        this.getInteractionHandler(interaction).run();
    }
}
exports.default = CommandInteractionManager;
