import { Client, Interaction } from 'discord.js';
import BaseInteractionManager from './Managers/BaseInteractionManager';
export default class InteractionEventHandler {
    managers: Map<{
        new (): Interaction;
    }, BaseInteractionManager>;
    hook(client: Client): void;
    use(handler: BaseInteractionManager): void;
    use(handlers: BaseInteractionManager[]): void;
    private _handleInteraction;
}
