import { ChatInputApplicationCommandData } from 'discord.js';
import BaseInteractionHandler, { BaseInteractionHandlerOptions } from '../../InteractionsAPI/BaseInteractionHandler';
export interface CommandInteractionHandlerOptions extends BaseInteractionHandlerOptions, ChatInputApplicationCommandData {
    customId: string;
}
export default abstract class CommandInteractionHandler extends BaseInteractionHandler {
    private commandOptions;
    constructor(commandOptions: CommandInteractionHandlerOptions);
    abstract run(): any;
}
