import { CommandInteraction, Snowflake } from 'discord.js';
import BaseInteractionManager from '../../InteractionsAPI/Managers/BaseInteractionManager';
import CommandInteractionHandler from './CommandInteractionHandler';
export default class CommandInteractionManager extends BaseInteractionManager<CommandInteraction, CommandInteractionHandler, Snowflake> {
    constructor();
    protected getInteractionId(interaction: CommandInteraction): string;
    protected callInteraction(interaction: CommandInteraction): void;
}
